summaryrefslogtreecommitdiffstats
path: root/apps/dav/tests/travis/carddavtester/script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'apps/dav/tests/travis/carddavtester/script.sh')
-rw-r--r--apps/dav/tests/travis/carddavtester/script.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/apps/dav/tests/travis/carddavtester/script.sh b/apps/dav/tests/travis/carddavtester/script.sh
new file mode 100644
index 00000000000..6edd92981e1
--- /dev/null
+++ b/apps/dav/tests/travis/carddavtester/script.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+SCRIPT=`realpath $0`
+SCRIPTPATH=`dirname $SCRIPT`
+
+# start the server
+php -S 127.0.0.1:8888 -t "$SCRIPTPATH/../../../../.." &
+
+# run the tests
+cd "$SCRIPTPATH/CalDAVTester"
+PYTHONPATH="$SCRIPTPATH/pycalendar/src" python testcaldav.py --print-details-onfail -s "$SCRIPTPATH/../caldavtest/config/serverinfo.xml" -o cdt.txt \
+ "$SCRIPTPATH/../caldavtest/tests/CardDAV/current-user-principal.xml" \
+ "$SCRIPTPATH/../caldavtest/tests/CardDAV/sync-report.xml"
+RESULT=$?
+
+tail "$/../../../../../data-autotest/owncloud.log"
+
+exit $RESULT